package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.SchCollectorConfigDTO;
import com.docus.server.entity.scheduling.management.SchCollectorConfig;
import com.docus.server.vo.scheduling.management.SchCollectorConfigVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集器配置 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Mapper
public interface SchCollectorConfigConvert {

    SchCollectorConfigConvert INSTANCE = Mappers.getMapper(SchCollectorConfigConvert.class);

    @Mappings({})
    SchCollectorConfig convertDO(SchCollectorConfigDTO schCollectorConfigDTO);

    @Mappings({})
    List<SchCollectorConfig> convertDO(List<SchCollectorConfigDTO> schCollectorConfigDTOList);

    @Mappings({})
    SchCollectorConfigVO convertVO(SchCollectorConfig schCollectorConfig);

    @Mappings({})
    List<SchCollectorConfigVO> convertVO(List<SchCollectorConfig> schCollectorConfigList);

    @Mappings({})
    PageResult<SchCollectorConfigVO> convertVO(PageResult<SchCollectorConfig> pageResult);
}

